---
title: "assertGreaterThanOrEq"
excerpt: "Check that a numerical value is greater than or equal to another at runtime,"
layout: manual
---

Check that a numerical value is greater than or equal to another at runtime,

otherwise raise an error.

```js
assertGreaterThanOrEq(left: number, right: number, message: string) -> ()
```

### Examples

```js
assertGreaterThanOrEq(2, 1, "2 is greater than 1")
assertGreaterThanOrEq(1, 1, "1 is equal to 1")
```

![Rendered example of assertGreaterThanOrEq 0](data:image/png;base64,[encoded data, 26336 characters])

### Arguments

* `left`: `number` (REQUIRED)
* `right`: `number` (REQUIRED)
* `message`: `string` (REQUIRED)

### Returns

`()`



